/******************************************
 *
 *   Cedric Pradalier   2001
 *   mail : cedric.pradalier@free.fr
 *
 *****************************************/
#ifndef RECTANGLE_H
#define RECTANGLE_H

#include <stdio.h>
#include "libX+.h"
#include "Transform.h"

class Rectangle
{

	private :
		double x,y;
		double theta;
		double width,height;

	public :
		Rectangle () {x = y = theta = 0; width = height = 1;}
		Rectangle (double X,double Y,double T,double W,double H) 
		{
			x=X;y=Y;theta=T;width=W;height=H;
		}
		Rectangle (FILE *fp);
		~Rectangle() {}

		Rectangle (const Rectangle & r, const Transform & t);

		void Print(FILE *fp = stdout);

		void Draw(XWin * win);

		double getMaxDim() {return (width>height)?width:height;}
};


#endif // RECTANGLE_H
