/******************************************
 *
 *   Cedric Pradalier   2001
 *   mail : cedric.pradalier@free.fr
 *
 *****************************************/
#ifndef TRANSFORM_H
#define TRANSFORM_H

#include <stdio.h>

class Transform 
{
	private : 
		double theta;
		double xTrans,yTrans;
		double xScale,yScale;

	public :
		Transform() {theta = xTrans = yTrans = 0;xScale = yScale = 1;}
		Transform(double t,double xT,double yT,double xS,double yS)
		{
			theta = t;xTrans=xT;yTrans=yT;xScale=xS;yScale=yS;
		}
		Transform(FILE * fp);
		void Print(FILE * fp = stdout);

		double getRotationAngle() const {return theta;} 
		double getXScale() const {return xScale;}
		double getYScale() const {return yScale;}
		double getXTrans() const {return xTrans;}
		double getYTrans() const {return yTrans;}
};


		



#endif // TRANSFORM_H
